Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.phonon
Enum AbstractBackend.Class

    java.lang.Object
      java.lang.Enum<AbstractBackend.Class>
          com.trolltech.qt.phonon.AbstractBackend.Class

All Implemented Interfaces:
  com.trolltech.qt.QtEnumerator, java.io.Serializable, java.lang.Comparable<AbstractBackend.Class>

Enclosing class:
  AbstractBackend

    public static enum AbstractBackend.Class

extends java.lang.Enum<AbstractBackend.Class>
implements com.trolltech.qt.QtEnumerator

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Enum Constant Summary
`AudioDataOutputClass`
`AudioOutputClass`
`EffectClass`
`MediaObjectClass`
`VideoDataOutputClass`
`VideoWidgetClass`
`VisualizationClass`
`VolumeFaderEffectClass`

Method Summary
`static AbstractBackend.Class` | `resolve(int value)` This method is internal to Qt Jambi.
`int` | `value()` This method is internal to Qt Jambi.
`static AbstractBackend.Class` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractBackend.Class[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MediaObjectClass

    public static final AbstractBackend.Class MediaObjectClass

### VolumeFaderEffectClass

    public static final AbstractBackend.Class VolumeFaderEffectClass

### AudioOutputClass

    public static final AbstractBackend.Class AudioOutputClass

### AudioDataOutputClass

    public static final AbstractBackend.Class AudioDataOutputClass

### VisualizationClass

    public static final AbstractBackend.Class VisualizationClass

### VideoDataOutputClass

    public static final AbstractBackend.Class VideoDataOutputClass

### EffectClass

    public static final AbstractBackend.Class EffectClass

### VideoWidgetClass

    public static final AbstractBackend.Class VideoWidgetClass

Method Detail

### values

    public static AbstractBackend.Class[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractBackend.Class c : AbstractBackend.Class.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractBackend.Class valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public int value()

  This method is internal to Qt Jambi.

  Specified by:
    `value` in interface `com.trolltech.qt.QtEnumerator`

### resolve

    public static AbstractBackend.Class resolve(int value)

  This method is internal to Qt Jambi.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD